Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.ShiftExprAltContext

- org.apache.groovy.parser.antlr4.GroovyParser.ShiftExprAltContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `Token` | `dgOp` |
    `Token` | `dlOp` |
    `ExpressionContext` | `left` |
    `Token` | `rangeOp` |
    `ExpressionContext` | `right` |
    `Token` | `tgOp` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ShiftExprAltContext (ExpressionContext ctx)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List<? extends TerminalNode>` | `GT()`
    `` | `TerminalNode` | `GT(int i)`
    `` | `List<? extends TerminalNode>` | `LT()`
    `` | `TerminalNode` | `LT(int i)`
    `` | `TerminalNode` | `RANGE_EXCLUSIVE()`
    `` | `TerminalNode` | `RANGE_INCLUSIVE()`
    `` | `Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `List<? extends ExpressionContext>` | `expression()`
    `` | `ExpressionContext` | `expression(int i)`
    `` | `List<? extends NlsContext>` | `nls()`
    `` | `NlsContext` | `nls(int i)`

- - ### Field Detail

    - #### public Token dgOp

    - #### public Token dlOp

    - #### public ExpressionContext left

    - #### public Token rangeOp

    - #### public ExpressionContext right

    - #### public Token tgOp

  - ### Constructor Detail

    - #### public ShiftExprAltContext(ExpressionContext ctx)

  - ### Method Detail

    - #### public List<? extends TerminalNode> GT()

    - #### public TerminalNode GT(int i)

    - #### public List<? extends TerminalNode> LT()

    - #### public TerminalNode LT(int i)

    - #### public TerminalNode RANGE_EXCLUSIVE()

    - #### public TerminalNode RANGE_INCLUSIVE()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends ExpressionContext> expression()

    - #### public ExpressionContext expression(int i)

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)